Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-40004

Support for JDK9, 10 and 11

    XMLWordPrintable

Details

    • Bug
    • Status: RESOLVED
    • Blocker
    • Resolution: Fixed
    • 19.0
    • 19.0
    • Kernel
    • None
    • Hide

      Please add a Test Plan here.

      Show
      Please add a Test Plan here.

    Description

      The Sakai Core can't be compiled with Java SE 9 and Java SE 10.

      So, my intention is be able to compile the source code with JDK8/9/10.

      Also, this changes won't require any breaking-change.

       

      Is the Core team ok with this feature? So I can start sending PR? 

      Gliffy Diagrams

        Zeplin

          Attachments

            Issue Links

              Activity

                People

                  maintenanceteam Core Team
                  deinok Raul Hidalgo Caballero
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  6 Start watching this issue

                  Dates

                    Created:
                    Updated:
                    Resolved:

                    Git Integration